<?php
class ETabbedDiv extends CWidget {

    public $tabs = array();

    public $divClass;

    public function init() {
        if (isset($this->divClass) && $this->divClass!='') {
            $this->divClass = ' class="'.$this->divClass.'" style="overflow:auto;"';
        }
        parent::init();
    }


    public function run(){
        Yii::app()->clientScript->registerCoreScript('jquery.ui');
        $cs = Yii::app()->getClientScript();
        $cssCoreUrl = $cs->getCoreScriptUrl();
        $cs->registerCssFile($cssCoreUrl . '/jui/css/base/jquery-ui.css');
        Yii::app()->clientScript->registerScript('CTabbedPage', "
$(function() {
    $('#tabs').tabs();
});
");
        $divs = array();
        echo '<div id="tabs">', PHP_EOL;
        echo '<ul>', PHP_EOL;
        foreach($this->tabs as $id => $tab) {
            if (!isset($tab['title'])) {
                $tab['title'] = $id;
            }
            echo '<li><a href="#', $id, '">', $tab['title'], '</a></li>', PHP_EOL;
            $divs []= '<div id="' . $id . '"'. $this->divClass . '>' . PHP_EOL . $tab['content'] . PHP_EOL . '</div>';
        }
        echo '</ul>', PHP_EOL;
        echo implode(PHP_EOL, $divs);
        echo '</div>', PHP_EOL;
    }

} 